Loading...
Searching...
No Matches
OgreTextureUnitState.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreBlendMode.h"`
`#include "OgreMatrix4.h"`
`#include "OgreTexture.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreRenderSystem.h"`
`#include "OgreHeaderSuffix.h"`

## Classes

class | Ogre::Sampler
| Class which determines how a TextureUnitState accesses data from a Texture. More...
struct | Ogre::Sampler::UVWAddressingMode
| Texture addressing mode for each texture coordinate. More...
class | Ogre::TextureUnitState
| Class representing the state of a single texture unit during a Pass of a Technique, of a Material. More...
struct | Ogre::TextureUnitState::TextureEffect
| Internal structure defining a texture effect. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef std::shared_ptr< Sampler > | Ogre::SamplerPtr